aboutsummaryrefslogtreecommitdiff
path: root/src/exchangedb/test_idempotency.sh
diff options
context:
space:
mode:
authorÖzgür Kesim <oec-taler@kesim.org>2023-06-05 09:18:35 +0200
committerÖzgür Kesim <oec-taler@kesim.org>2023-06-05 09:18:35 +0200
commit98b51edf496cdc14974690c9809f665f14858977 (patch)
treeeb48f666852c8df8b940d001bc0b0ef644df4a55 /src/exchangedb/test_idempotency.sh
parentfb5bc18c588832747dfe299f9df1beb6645cf686 (diff)
parent8cc1edfe0aa77d3091f19aa87d06bb45c74b0128 (diff)
Merge branch 'master' into age-withdraw
Diffstat (limited to 'src/exchangedb/test_idempotency.sh')
-rwxr-xr-xsrc/exchangedb/test_idempotency.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/src/exchangedb/test_idempotency.sh b/src/exchangedb/test_idempotency.sh
new file mode 100755
index 000000000..6ab5d1332
--- /dev/null
+++ b/src/exchangedb/test_idempotency.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+# This file is in the public domain.
+set -eu
+echo "Initializing DB"
+taler-exchange-dbinit -r test-exchange-db-postgres.conf
+echo "Re-initializing DB"
+taler-exchange-dbinit test-exchange-db-postgres.conf
+echo "Re-loading procedures"
+psql talercheck < procedures.sql
+echo "Test PASSED"
+exit 0